Class | PhusionPassenger::AnalyticsLogger
In: | lib/phusion_passenger/analytics_logger.rb
Parent: | Object

### Methods

clear_connection close continue_transaction new new_from_options new_transaction

### Included Modules

Utils

### Classes and Modules

Class PhusionPassenger::AnalyticsLogger::Connection
Class PhusionPassenger::AnalyticsLogger::Lock
Class PhusionPassenger::AnalyticsLogger::Log

### Constants

RETRY_SLEEP | = | 0.2
NETWORK_ERRORS | = | [Errno::EPIPE, Errno::ECONNREFUSED, Errno::ECONNRESET, Errno::EHOSTUNREACH, Errno::ENETDOWN, Errno::ENETUNREACH, Errno::ETIMEDOUT]
RANDOM_CHARS | = | ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9']

### Attributes

max_connect_tries | [RW] |
reconnect_timeout | [RW] |

### Public Class methods

new(logging_agent_address, username, password, node_name)
new_from_options(options)

### Public Instance methods

clear_connection()
close()
continue_transaction(txn_id, group_name, category = :requests, union_station_key = nil)
new_transaction(group_name, category = :requests, union_station_key = nil)

[Validate]